Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PShape

Name

### enableStyle()

Examples

    // The file "bot.svg" must be in the data folder
    // of the current sketch to load successfully
    PShape s;
    s = loadShape("bot.svg");
    smooth();
    s.disableStyle();
    shape(s, -30, 10, 80, 80);
    s.enableStyle();
    shape(s, 50, 10, 80, 80);

Description | Enables the shape's style data and ignores Processing's current styles. Styles include attributes such as colors, stroke weight, and stroke joints.

Syntax

    sh.enableStyle()

Parameters

sh | PShape: any variable of type PShape

Returns | none
Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT